package ru.kayashov.bar.bot.domain.methods;

import lombok.Builder;
import lombok.Getter;
import ru.kayashov.bar.bot.domain.Bot;

@Getter
public class AbstractSendMessage extends AbstractMethod {
    String message;
    @Builder
    public AbstractSendMessage(Long chatId, String message) {
        super(chatId);
        this.message = message;
    }

    public void execute(Bot bot) {
        bot.sendMessage(this);
    }
}